# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config/Scoped.pm) perl(ExtUtils/MakeMaker.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(MooseX/ConfigFromFile.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name MooseX-ScopedConfig
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1.1
Summary: Moose eXtension to use Config::Scoped
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/I/IA/IAMB/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
MooseX::ScopedConfig is to Config::Scoped as MooseX::SimpleConfig is to Config::Any

    package My::AwesomePackage;
    use Moose;
    with 'MooseX::ScopedConfig';

    # optional, default config file name
    sub configfile { '/tmp/application.cfg' }

    # a script useing your awesome (configurable) package
    
    use My::AwesomePackage;
    my $ap = My::AwesomePackage->new_with_config(configfile => '/tmp/app.cfg');
    ...


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/M*

%changelog
* Sat Apr 09 2016 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1.1
- rebuild to restore role requires

* Mon Sep 30 2013 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

